Name:           openbcm
Version:        107
Release:        1%{?dist}
Summary:        Simple BayCom Mailbox Terminal for Linux

Group:          Applications/Communications
#missing copy of GPLv2, missing licensing info in source files. Licence info at http://dnx274.dyndns.org/baybox/pages/notes.html
License:        GPLv2
URL:            http://dnx274.dyndns.org/baybox/
Source0:        http://dnx274.dyndns.org/baybox/linux/sbct%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
#Requires:       

%description
OpenBCM is a branch of BayCom-Mailbox, first released in September 2002.
It is intended to offer you an open and free BayCom-Terminal without
any restrictions or unwanted features.

%prep
%setup -qn bct%{version}

#fix end of line encoding
%{__sed} -i 's/\r//' changes.txt

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#skip make install and do manual install, it's just one file
install -D -m 0755 bct $RPM_BUILD_ROOT%{_bindir}/bct

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc changes.txt
%{_bindir}/*


%changelog
* Tue Mar 04 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 107-1
- Initial build
